Dashboard
Dashboard object
- dashboard_idstring
UUID identifying the dashboard.
- display_namestring
The display name of the dashboard.
- pathstring
The workspace path of the dashboard asset, including the file name. Exported dashboards always have the file extension
.lvdash.json. This field is excluded in List Dashboards responses.
- create_timestring
The timestamp of when the dashboard was created.
- update_timestring
The timestamp of when the dashboard was last updated by the user. This field is excluded in List Dashboards responses.
- warehouse_idstring
The warehouse ID used to run the dashboard.
- etagstring
The etag for the dashboard. Can be optionally provided on updates to ensure that the dashboard has not been modified since the last read. This field is excluded in List Dashboards responses.
- serialized_dashboardstring
The contents of the dashboard in serialized string form. This field is excluded in List Dashboards responses. Use the get dashboard API to retrieve an example response, which includes the
serialized_dashboardfield. This field provides the structure of the JSON string that represents the dashboard's layout and components.
- lifecycle_statestring
The state of the dashboard resource. Used for tracking trashed status.
- parent_pathstring
The workspace path of the folder containing the dashboard. Includes leading slash and no trailing slash. This field is excluded in List Dashboards responses.
Get
GET
Get a draft dashboard.
API scopes: dashboards
Parameters
- dashboard_idstringpath
UUID identifying the dashboard.
Response
Returns the Dashboard object.
List
GET
List dashboards.
API scopes: dashboards
Parameters
- page_sizeint32query
The number of dashboards to return per page.
- page_tokenstringquery
A page token, received from a previous
ListDashboardscall. This token can be used to retrieve the subsequent page.
- show_trashedbooleanquery
The flag to include dashboards located in the trash. If unspecified, only active dashboards will be returned.
- viewstringquery
DASHBOARD_VIEW_BASIConly includes summary metadata from the dashboard.
Response
Returns a list of Dashboard objects.
Create
POST
Create a draft dashboard.
API scopes: dashboards
Parameters
- dataset_catalogstringquery
Sets the default catalog for all datasets in this dashboard. Does not impact table references that use fully qualified catalog names (ex: samples.nyctaxi.trips). Leave blank to keep each dataset’s existing configuration.
- dataset_schemastringquery
Sets the default schema for all datasets in this dashboard. Does not impact table references that use fully qualified schema names (ex: nyctaxi.trips). Leave blank to keep each dataset’s existing configuration.
Request body
- dashboardobject
Show child attributesHide child attributes
- dashboard_idstring
UUID identifying the dashboard.
- display_namestring
The display name of the dashboard.
- pathstring
The workspace path of the dashboard asset, including the file name. Exported dashboards always have the file extension
.lvdash.json. This field is excluded in List Dashboards responses.
- create_timestring
The timestamp of when the dashboard was created.
- update_timestring
The timestamp of when the dashboard was last updated by the user. This field is excluded in List Dashboards responses.
- warehouse_idstring
The warehouse ID used to run the dashboard.
- etagstring
The etag for the dashboard. Can be optionally provided on updates to ensure that the dashboard has not been modified since the last read. This field is excluded in List Dashboards responses.
- serialized_dashboardstring
The contents of the dashboard in serialized string form. This field is excluded in List Dashboards responses. Use the get dashboard API to retrieve an example response, which includes the
serialized_dashboardfield. This field provides the structure of the JSON string that represents the dashboard's layout and components.
- lifecycle_statestring
The state of the dashboard resource. Used for tracking trashed status.
- parent_pathstring
The workspace path of the folder containing the dashboard. Includes leading slash and no trailing slash. This field is excluded in List Dashboards responses.
Response
Returns the Dashboard object.
Update
PATCH
Update a draft dashboard.
API scopes: dashboards
Parameters
- dashboardobjectpath
Show child attributesHide child attributes
- dashboard_idstring
UUID identifying the dashboard.
- display_namestring
The display name of the dashboard.
- pathstring
The workspace path of the dashboard asset, including the file name. Exported dashboards always have the file extension
.lvdash.json. This field is excluded in List Dashboards responses.
- create_timestring
The timestamp of when the dashboard was created.
- update_timestring
The timestamp of when the dashboard was last updated by the user. This field is excluded in List Dashboards responses.
- warehouse_idstring
The warehouse ID used to run the dashboard.
- etagstring
The etag for the dashboard. Can be optionally provided on updates to ensure that the dashboard has not been modified since the last read. This field is excluded in List Dashboards responses.
- serialized_dashboardstring
The contents of the dashboard in serialized string form. This field is excluded in List Dashboards responses. Use the get dashboard API to retrieve an example response, which includes the
serialized_dashboardfield. This field provides the structure of the JSON string that represents the dashboard's layout and components.
- lifecycle_statestring
The state of the dashboard resource. Used for tracking trashed status.
- parent_pathstring
The workspace path of the folder containing the dashboard. Includes leading slash and no trailing slash. This field is excluded in List Dashboards responses.
- dataset_catalogstringquery
Sets the default catalog for all datasets in this dashboard. Does not impact table references that use fully qualified catalog names (ex: samples.nyctaxi.trips). Leave blank to keep each dataset’s existing configuration.
- dataset_schemastringquery
Sets the default schema for all datasets in this dashboard. Does not impact table references that use fully qualified schema names (ex: nyctaxi.trips). Leave blank to keep each dataset’s existing configuration.
Response
Returns the Dashboard object.
Delete
DELETE
Trash a dashboard.
API scopes: dashboards
Parameters
- dashboard_idstringpath
UUID identifying the dashboard.
Migrate Dashboard
POST
Migrates a classic SQL dashboard to Lakeview.
API scopes: dashboards
Request body
- source_dashboard_idstring
UUID of the dashboard to be migrated.
- display_namestring
Display name for the new Lakeview dashboard.
- parent_pathstring
The workspace path of the folder to contain the migrated Lakeview dashboard.
- update_parameter_syntaxboolean
Flag to indicate if mustache parameter syntax ({{ param }}) should be auto-updated to named syntax (:param) when converting datasets in the dashboard.
Response
Returns the Dashboard object.
Publish Dashboard
POST
Publish the current draft dashboard.
API scopes: dashboards
Parameters
- dashboard_idstringpath
UUID identifying the dashboard to be published.
Request body
- embed_credentialsboolean
Flag to indicate if the publisher's credentials should be embedded in the published dashboard. These embedded credentials will be used to execute the published dashboard's queries.
- warehouse_idstring
The ID of the warehouse that can be used to override the warehouse which was set in the draft.
Response
- display_namestring
The display name of the published dashboard.
- warehouse_idstring
The warehouse ID used to run the published dashboard.
- embed_credentialsboolean
Indicates whether credentials are embedded in the published dashboard.
- revision_create_timestring
The timestamp of when the published dashboard was last revised.